Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class DOM2Utils

    java.lang.Object
      org.apache.axis.utils.DOM2Utils

public final class DOM2Utils
extends Object

DOM2 utilites

Author:
  Thomas Diesler (thomas.diesler@jboss.org)

Method Summary
`static Element` | `createElement(Element parent, javax.xml.soap.Name name)` Create an Element for a given Name object
`static Element` | `createElement(Element parent, String localPart)` Create an Element for a given name
`static Element` | `createElement(Element parent, String localPart, String prefix)` Create an Element for a given name and prefix
`static Element` | `createElement(Element parent, String uri, String prefix, String localPart)` Create an Element for a given name, prefix and uri
`static Text` | `createTextNode(String value)` Create a org.w3c.dom.Text node
`static DocumentBuilder` | `getDocumentBuilder()` Initialise the the DocumentBuilder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocumentBuilder

    public static DocumentBuilder getDocumentBuilder()

  Initialise the the DocumentBuilder

### createElement

    public static Element createElement(Element parent,
                                        String localPart)

  Create an Element for a given name

  Parameters:
    `parent` - optional parent element

### createElement

    public static Element createElement(Element parent,
                                        String localPart,
                                        String prefix)

  Create an Element for a given name and prefix

  Parameters:
    `parent` - optional parent element

### createElement

    public static Element createElement(Element parent,
                                        String uri,
                                        String prefix,
                                        String localPart)

  Create an Element for a given name, prefix and uri

  Parameters:
    `parent` - optional parent element

### createElement

    public static Element createElement(Element parent,
                                        javax.xml.soap.Name name)

  Create an Element for a given Name object

  Parameters:
    `parent` - optional parent element

### createTextNode

    public static Text createTextNode(String value)

  Create a org.w3c.dom.Text node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.